## com.sun.org.apache.commons.logging
Class JettyLog

    java.lang.Object
      com.sun.org.apache.commons.logging.JettyLog

All Implemented Interfaces:
  Log

    public class JettyLog

extends Object
implements Log

Log Bridges the com.sun.org.apache.commons.logging.Log to Jetty's log.

Constructor Summary
`JettyLog(String name)`

Method Summary
`void` `debug(Object message)`
`void` `debug(Object message, Throwable t)`
`void` `error(Object message)`
`void` `error(Object message, Throwable cause)`
`void` `fatal(Object message)`
`void` `fatal(Object message, Throwable t)`
`void` `info(Object message)`
`boolean` `isDebugEnabled()`
`boolean` `isErrorEnabled()`
`boolean` `isInfoEnabled()`
`boolean` `isTraceEnabled()`
`boolean` `isWarnEnabled()`
`void` `trace(Object message)`
`void` `warn(Object message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JettyLog

    public JettyLog(String name)

Method Detail

### fatal

    public void fatal(Object message)

  Specified by:
    `fatal` in interface `Log`

### fatal

    public void fatal(Object message,
                      Throwable t)

  Specified by:
    `fatal` in interface `Log`

### debug

    public void debug(Object message)

  Specified by:
    `debug` in interface `Log`

### debug

    public void debug(Object message,
                      Throwable t)

  Specified by:
    `debug` in interface `Log`

### trace

    public void trace(Object message)

  Specified by:
    `trace` in interface `Log`

### info

    public void info(Object message)

  Specified by:
    `info` in interface `Log`

### error

    public void error(Object message)

  Specified by:
    `error` in interface `Log`

### error

    public void error(Object message,
                      Throwable cause)

  Specified by:
    `error` in interface `Log`

### warn

    public void warn(Object message)

  Specified by:
    `warn` in interface `Log`

### isDebugEnabled

    public boolean isDebugEnabled()

  Specified by:
    `isDebugEnabled` in interface `Log`

### isWarnEnabled

    public boolean isWarnEnabled()

  Specified by:
    `isWarnEnabled` in interface `Log`

### isInfoEnabled

    public boolean isInfoEnabled()

  Specified by:
    `isInfoEnabled` in interface `Log`

### isErrorEnabled

    public boolean isErrorEnabled()

  Specified by:
    `isErrorEnabled` in interface `Log`

### isTraceEnabled

    public boolean isTraceEnabled()

  Specified by:
    `isTraceEnabled` in interface `Log`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.